## com.baidubce.services.bmr.model
Class GetStepRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.GetStepRequest

    public class GetStepRequest

extends AbstractBceRequest

Provides options for describing a step. The essential options are cluster ID and step ID.

Constructor Summary
`GetStepRequest()`

Method Summary
`String` `getClusterId()`
`String` `getStepId()`
`void` `setClusterId(String clusterId)`
`void` `setStepId(String stepId)`
`GetStepRequest` `withClusterId(String clusterId)` Configure the cluster ID for the request.
`GetStepRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.
`GetStepRequest` `withStepId(String stepId)` Configure the step ID for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetStepRequest

    public GetStepRequest()

Method Detail

### getClusterId

    public String getClusterId()

### setClusterId

    public void setClusterId(String clusterId)

### getStepId

    public String getStepId()

### setStepId

    public void setStepId(String stepId)

### withClusterId

    public GetStepRequest withClusterId(String clusterId)

  Configure the cluster ID for the request.

  Parameters:
    `clusterId` - The ID of cluster which executes the target step.
  Returns:
    GetStepRequest

### withStepId

    public GetStepRequest withStepId(String stepId)

  Configure the step ID for the request.

  Parameters:
    `stepId` - The ID of the step.
  Returns:
    GetStepRequest

### withRequestCredentials

    public GetStepRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    GetStepRequest

Copyright © 2016. All rights reserved.